<?php
/**
 * The template for displaying comments.
 * @package refresh
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-area">

	<?php // You can start editing here -- including this comment! ?>

	<?php if ( have_comments() ) : ?>
		<h3 id="Comments"><?php _e('Comments', 'refresh'); ?></h3>
	

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<nav id="comment-nav-above" class="navigation" role="navigation">
			<h1 class="screen-reader-text"><?php _e( 'Comment navigation', 'refresh' ); ?></h1>
			<div class="nav-previous"><?php previous_comments_link( __( 'Older Comments', 'refresh' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( __( 'Newer Comments', 'refresh' ) ); ?></div>
		</nav><!-- #comment-nav-above -->
		<?php endif; // check for comment navigation ?>

		<ol class="commentlist">
			<?php
				wp_list_comments( array(
					'style'      => 'ol',
					'short_ping' => true,
				) );
			?>
		</ol><!-- .comment-list -->

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<nav id="comment-nav-below" class="comment-navigation" role="navigation">
			<h1 class="screen-reader-text"><?php _e( 'Comment navigation', 'refresh' ); ?></h1>
			<div class="navigation"><div class="nav-previous"><?php previous_comments_link( __( 'Older Comments', 'refresh' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( __( 'Newer Comments', 'refresh' ) ); ?></div></div>
		</nav><!-- #comment-nav-below -->
		<?php endif; // check for comment navigation ?>

	<?php endif; // have_comments() ?>

	<?php
		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( ! comments_open() && '0' != get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
		<p class="no-comments"><?php _e( 'Comments are closed.', 'refresh' ); ?></p>
	<?php endif; ?>

	<?php comment_form(); ?>

</div><!-- #comments -->
