<?php
define( 'OPTIONS_FRAMEWORK_DIRECTORY', get_template_directory_uri() . '/inc/' );
require_once dirname( __FILE__ ) . '/inc/options-framework.php';
include_once('baztro.php');
include_once('includes/installs.php');
include_once('includes/core/core.php');
// Implement the Custom Header feature.
require get_template_directory() . '/includes/custom-header.php';
require get_template_directory() . '/includes/customizer.php';
function refresh_scripts() {
	/*
	 * Loads our main stylesheet.
	 */
	wp_enqueue_style( 'refresh-style', get_stylesheet_uri() );
	
	// Add Monda font, used in the main stylesheet.
	wp_enqueue_style( 'monda', get_template_directory_uri() . '/fonts/monda.css', array(), '1.1' );
	wp_enqueue_style( 'refresh-font-awesome', get_stylesheet_directory_uri() . '/font-awesome/css/font-awesome.min.css' );
	/**
	* Enqueues the javascript for comment replys 
	* 
	**/
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
		wp_enqueue_script( 'comment-reply' );
	
	//Custom css output	
		$custom_css = html_entity_decode(of_get_option('refresh_customcss'));
		wp_add_inline_style( 'refresh-style', $custom_css );	
	
	}
add_action( 'wp_enqueue_scripts', 'refresh_scripts' );
/**
 * Enqueue script for custom customize control.
 */
function refresh_custom_customize_enqueue() {
	wp_enqueue_style( 'customizer-css', get_stylesheet_directory_uri() . '/css/customizer-css.css' );
}
add_action( 'customize_controls_enqueue_scripts', 'refresh_custom_customize_enqueue' );
	
	function refresh_hdmenu() {	
		wp_nav_menu();
	}
	
function refresh_post_meta_data() {
	printf( __( '<span class="%1$s"></span>%2$s<span class="%3$s"></span>%4$s', 'refresh' ),
	'meta-prep meta-prep-author posted', 
	sprintf( '<a href="%1$s" title="%2$s" rel="bookmark"><span class="timestamp updated">%3$s</span></a>',
		esc_url( get_permalink() ),
		esc_attr( get_the_time() ),
		esc_html( get_the_date() )
	),
	'byline',
	sprintf( '<span class="author vcard"><a class="url fn n" href="%1$s" title="%2$s">%3$s</a></span>',
		get_author_posts_url( get_the_author_meta( 'ID' ) ),
		sprintf( esc_attr__( 'View all posts by %s', 'refresh' ), get_the_author() ),
		esc_attr( get_the_author() )
		)
	);
}

/* Enable support for post-thumbnails ********************************************/
		
	// If we want to ensure that we only call this function if
	// the user is working with WP 2.9 or higher,
	// let's instead make sure that the function exists first
	
function refresh_theme_setup() { 
		add_theme_support( 'post-thumbnails' );	
		add_image_size( 'defaultthumb', 235, 200 , true );
		add_image_size( 'ltpostthumb', 60, 60, true );
		add_image_size( 'refreshlogo', 185, 50 , true );
		
		
	    load_theme_textdomain('refresh', get_template_directory() . '/languages');
		
        add_editor_style();
		//woocommerce plugin support
		add_theme_support( 'woocommerce' );
		
	/**
 * Sets up the content width value based on the theme's design.
 */
		global $content_width;
		if ( ! isset( $content_width ) ) {
		$content_width = 700;
		}
        add_theme_support('automatic-feed-links');
		add_theme_support('title-tag');
		register_nav_menus(
			array(
 				'refresh-navigation' => __('Navigation', 'refresh'),
 				'footer-menu' => __('Footer Menu', 'refresh'),
				)		
		);
		
		add_theme_support( 'custom-background', apply_filters( 'refresh_custom_background_args', array(
		'default-color' => 'ffffff',
		'default-image' => '',
	) ) );
	}
add_action( 'after_setup_theme', 'refresh_theme_setup' );
	

/* Excerpt ********************************************/

    function refresh_excerptlength_teaser($length) {
    return 12;
    }
    function refresh_excerptlength_index($length) {
    return 45;
    }
    function refresh_excerptmore($more) {
    return '...';
    }
    
    
    function refresh_excerpt($length_callback='', $more_callback='') {
    global $post;
    add_filter('excerpt_length', $length_callback);
 
    add_filter('excerpt_more', $more_callback);
   
    $output = get_the_excerpt();
    $output = apply_filters('wptexturize', $output);
    $output = apply_filters('convert_chars', $output);
    $output = '<p>'.$output.'</p>';
    echo $output;
    }

/* ----------------------------------------------------------------------------------- */
/* Search Form
/*----------------------------------------------------------------------------------- */

function refresh_search_form( $form ) {
	$form = '<form role="search" method="get" id="searchform" class="searchform" action="' . esc_url(home_url('/')) . '" >
	<div><label class="screen-reader-text" for="s">' . __( 'Search for:','refresh' ) . '</label>
	<div class="input-group"><input class="input-group-field" type="text" placeholder="'. __( 'Search..','refresh' ) .'" value="' . get_search_query() . '" name="s" id="s" />
	<div class="input-group-button"><input type="submit" class="button" id="searchsubmit" value="'. esc_attr__( 'Go','refresh' ) .'" />
	</div></div></div>
	</form>';

	return $form;
}

add_filter( 'get_search_form', 'refresh_search_form' );


/* Widgets ********************************************/

 function refresh_widgets_init() {

	register_sidebar(array(
		'name' => __( 'Sidebar Right', 'refresh' ),
	    'id' => 'refsidebar',
		'description'   => __('Sidebar widget for website pages and posts','refresh'),
	    'before_widget' => '<div class="box clearfloat"><div class="boxinside clearfloat">',
	    'after_widget' => '</div></div>',
	    'before_title' => '<h4 class="widgettitle">',
	    'after_title' => '</h4>',
	));
		register_sidebar(array(
		'name' => __( 'Footer 1', 'refresh' ),
	    'id' => 'refbottom1',
		'description'   => __('Footer widget area first from left','refresh'),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h4>',
	    'after_title' => '</h4>',
	));

	register_sidebar(array(
		'name' => __( 'Footer 2', 'refresh' ),
	    'id' => 'refbottom2',
		'description'   => __('Footer widget area second from left','refresh'),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h4>',
	    'after_title' => '</h4>',
	));	

	register_sidebar(array(
		'name' => __( 'Footer 3', 'refresh' ),
	    'id' => 'refbottom3',
		'description'   => __('Footer widget area third from left','refresh'),		
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h4>',
	    'after_title' => '</h4>',
	));	
}
add_action('widgets_init', 'refresh_widgets_init');
//---------------------------- [ Pagenavi Function ] ------------------------------//
 
function refresh_pagenavi() {
	global $wp_query;
	$big = 123456789;
	$page_format = paginate_links( array(
	    'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
	    'format' => '?paged=%#%',
	    'current' => max( 1, get_query_var('paged') ),
	    'total' => $wp_query->max_num_pages,
	    'type'  => 'array'
	) );
	if( is_array($page_format) ) {
	            $paged = ( get_query_var('paged') == 0 ) ? 1 : get_query_var('paged');
	            echo '<div class="wp-pagenavi">';
	            echo '<span class="pages">'. $paged . ' of ' . $wp_query->max_num_pages .'</span>';
	            foreach ( $page_format as $page ) {
	                    echo "$page";
	            }
	           echo '</div>';
	 }
}


/* ----------------------------------------------------------------------------------- */
/* Customize Comment Form
/*----------------------------------------------------------------------------------- */
add_filter( 'comment_form_default_fields', 'refresh_comment_form_fields' );
function refresh_comment_form_fields( $fields ) {
    $commenter = wp_get_current_commenter();
    
    $req      = get_option( 'require_name_email' );
    $aria_req = ( $req ? " aria-required='true'" : '' );
    $html5    = current_theme_supports( 'html5', 'comment-form' ) ? 1 : 0;
    
  $fields   =  array(
        'author' => '<div class="large-6 columns"><div class="row collapse prefix-radius"><div class="small-3 columns">' . '<span class="prefix"><i class="fa fa-user"></i>' . ( $req ? ' <span class="required">*</span>' : '' ) . '</span> </div>' .
                    '<div class="small-9 columns"><input class="form-control" placeholder="' .__( 'Name','refresh' ) .'" id="author" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) . '" size="20"' . $aria_req . ' /></div></div></div>',
        'email'  => '<div class="large-6 columns"><div class="row collapse prefix-radius"><div class="small-3 columns">' . '<span class="prefix"><i class="fa fa-envelope-o"></i>'. ( $req ? ' <span class="required">*</span>' : '' ) . '</span></div> ' .
                    '<div class="small-9 columns"><input class="form-control" placeholder="' .__( 'Email','refresh' ) .'" id="email" name="email" ' . ( $html5 ? 'type="email"' : 'type="text"' ) . ' value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="20"' . $aria_req . ' /></div></div></div>',
        'url'    => '<div class="large-6 columns"><div class="row collapse prefix-radius"><div class="small-3 columns">' . '<span class="prefix"><i class="fa fa-external-link"></i></span> </div>' .
                    '<div class="small-9 columns"><input class="form-control" placeholder="' .__( 'Website','refresh' ) .'" id="url" name="url" ' . ( $html5 ? 'type="url"' : 'type="text"' ) . ' value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" /></div></div></div>'        
    );
    
    
    return $fields;
    
    
}

add_filter( 'comment_form_defaults', 'refresh_comment_form' );
function refresh_comment_form( $argsbutton ) {
        $argsbutton['class_submit'] = 'button'; 
    
    return $argsbutton;
}

?>